package com.yd.dal.entity.agms.fortune;

import com.github.pagehelper.PageInfo;

import java.util.List;

/**
 * @author xxy
 */
public class CommissionPayoutStatusQueryInfo {
    /**
     * 发佣检核-佣金类型
     */
    private List<String> commissionTypeDropOptionCodeList;
    /**
     * 保单号
     */
    private String policyNo;
    /**
     * 保险公司
     */
    private Long insurerId;

    /**
     * 分公司
     */
    private Long insurerBranchId;

    /**
     * 营业部
     */
    private Long insurerBranchDeptId;

    /**
     * 体系
     */
    private Long subordinateSystemId;

    /**
     * 经纪人
     */
    private Long practitionerId;

    /**
     * 发佣状态   2-可发  3-保留  4-已发并关账
     */
    private Long commissionPayoutStatus;

    /**
     * 来佣检核年月
     */
    private String commissionPayoutYearmonth;

    /**
     * 预计发佣年月
     */
    private String payoutYearmonth;
    /**
     * 预计发佣年月
     */
    private String predictMonthPeriod;

    /**
     * 体系子集id
     */
    List<Long> subsystemIdList;

    private PageInfo<CommissionPayoutStatus> page;

    public Long getInsurerId() {
        return insurerId;
    }

    public void setInsurerId(Long insurerId) {
        this.insurerId = insurerId;
    }

    public Long getInsurerBranchId() {
        return insurerBranchId;
    }

    public void setInsurerBranchId(Long insurerBranchId) {
        this.insurerBranchId = insurerBranchId;
    }

    public Long getInsurerBranchDeptId() {
        return insurerBranchDeptId;
    }

    public void setInsurerBranchDeptId(Long insurerBranchDeptId) {
        this.insurerBranchDeptId = insurerBranchDeptId;
    }

    public Long getSubordinateSystemId() {
        return subordinateSystemId;
    }

    public void setSubordinateSystemId(Long subordinateSystemId) {
        this.subordinateSystemId = subordinateSystemId;
    }

    public Long getPractitionerId() {
        return practitionerId;
    }

    public void setPractitionerId(Long practitionerId) {
        this.practitionerId = practitionerId;
    }

    public Long getCommissionPayoutStatus() {
        return commissionPayoutStatus;
    }

    public void setCommissionPayoutStatus(Long commissionPayoutStatus) {
        this.commissionPayoutStatus = commissionPayoutStatus;
    }

    public String getCommissionPayoutYearmonth() {
        return commissionPayoutYearmonth;
    }

    public void setCommissionPayoutYearmonth(String commissionPayoutYearmonth) {
        this.commissionPayoutYearmonth = commissionPayoutYearmonth;
    }

    public String getPayoutYearmonth() {
        return payoutYearmonth;
    }

    public void setPayoutYearmonth(String payoutYearmonth) {
        this.payoutYearmonth = payoutYearmonth;
    }

    public List<Long> getSubsystemIdList() {
        return subsystemIdList;
    }

    public void setSubsystemIdList(List<Long> subsystemIdList) {
        this.subsystemIdList = subsystemIdList;
    }

    @Override
    public String toString() {
        return "CommissionPayoutStatusQueryRequestVO{" +
                "insurerId=" + insurerId +
                ", insurerBranchId=" + insurerBranchId +
                ", insurerBranchDeptId=" + insurerBranchDeptId +
                ", subordinateSystemId=" + subordinateSystemId +
                ", practitionerId=" + practitionerId +
                ", commissionPayoutStatus=" + commissionPayoutStatus +
                ", commissionPayoutYearmonth='" + commissionPayoutYearmonth + '\'' +
                ", payoutYearmonth='" + payoutYearmonth + '\'' +
                '}';
    }

    public PageInfo<CommissionPayoutStatus> getPage() {
        return page;
    }

    public void setPage(PageInfo<CommissionPayoutStatus> page) {
        this.page = page;
    }

    public String getPredictMonthPeriod() {
        return predictMonthPeriod;
    }

    public void setPredictMonthPeriod(String predictMonthPeriod) {
        this.predictMonthPeriod = predictMonthPeriod;
    }

    public String getPolicyNo() {
        return policyNo;
    }

    public void setPolicyNo(String policyNo) {
        this.policyNo = policyNo;
    }

    public List<String> getCommissionTypeDropOptionCodeList() {
        return commissionTypeDropOptionCodeList;
    }

    public void setCommissionTypeDropOptionCodeList(List<String> commissionTypeDropOptionCodeList) {
        this.commissionTypeDropOptionCodeList = commissionTypeDropOptionCodeList;
    }
}
